"use strict";
var HtmlWebpackPlugin = require("html-webpack-plugin");
var path = require("path");
var conf = {
    context: __dirname,
    entry: {
        app: "./main.ts",
    },
    output: {
        path: path.resolve("./public/__built__"),
        publicPath: "/__built__/",
        filename: "[name].js",
    },
    module: {
        rules: [
            {
                test: /\.tsx?$/,
                use: [
                    {
                        loader: "ts-loader",
                        options: {
                            transpileOnly: true,
                            compilerOptions: {
                                "declaration": false,
                            },
                        },
                    },
                ],
            },
        ],
    },
    plugins: [
        new HtmlWebpackPlugin({
            filename: "../index.html",
        }),
    ],
};
module.exports = conf;
